<?php

/**
 * @file
 * Provides a features deploying.
 */


/**
 * Implements of hook_features_export_options().
 */
function values_features_export_options()  {
  //only create variables
  variable_set('value1', 'value1');
  variable_set('value2', 'value2');
  variable_set('value3', 'value3');
  
  
  return array(
    'value1' => t('VALUE 1'),
    'value2' => t('VALUE 2'),
    'value3' => t('VALUE 3'),
  );
}

/**
 * Implements of hook_features_export().
 */
function values_features_export($data, &$export, $module_name = '') {
  foreach ($data as $name) {
    $export['features']['values'][$name] = $name;
  }
  return array();
}


/**
 * Implements of hook_features_export_render().
 */
function values_features_export_render($module_name, $data) {
  $code = array();
  $values = array();
  foreach ($data as $name) {
    $values[$name] = variable_get($name);
  }
  $code = '  $data = ' . features_var_export($values, '  ') . ';' . PHP_EOL;
  $code .= "  return \$data;";
  return array('values_defaults' => $code);
}


/**
 * Implements of hook_features_rebuild().
 */
function values_features_rebuild($module) {
  values_features_revert($module);
}

/**
 * Implements of hook_features_revert().
 */
function values_features_revert($module) {
  $data = module_invoke($module, 'values_defaults');
  foreach ($data as $name => $value) {
    variable_set($name, $value);
  }
}
